#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	The password hash Argon2, winner of PHC
Summary(pl.UTF-8):	Skrót haseł Argon2 - zwycięzca PHC
Name:		libargon2
Version:	20190702
Release:	1
License:	Apache v2.0, CC0 v1.0
Group:		Libraries
Source0:	https://github.com/P-H-C/phc-winner-argon2/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	0f234cc21ac6cebfe373da6afa70bb1d
Patch0:		makefile.patch
URL:		https://github.com/P-H-C/phc-winner-argon2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the reference C implementation of Argon2, the password-hashing
function that won the Password Hashing Competition (PHC).

Argon2 is a password-hashing function that summarizes the state of the
art in the design of memory-hard functions and can be used to hash
passwords for credential storage, key derivation, or other
applications.

It has a simple design aimed at the highest memory filling rate and
effective use of multiple computing units, while still providing
defense against tradeoff attacks (by exploiting the cache and memory
organization of the recent processors).

%description -l pl.UTF-8
Ta biblioteka jest referencyjną implementacją w C funkcji skrotu haseł
Argon2, która wygrała Password Hashing Competition (PHC).

Argon2 to funkcja skrótu podsumowująca stan techniki w projektowaniu
złożonych pamięciowo funkcji skrótu, które mogą być używane do
haszowania haseł do uwierzytelniania, tworzenia kluczy lub innych
zastosowań.

Funkcja jest zaprojektowana w prosty sposób, nakierowany na najwięszy
współczynnik wypełniania pamięci i efektywne użycie wielu jednostek
obliczeniowych, nadal zapewniając ochronę przeciw atakom kompromisowym
(wykorzystując pamięć podręczną i organizację pamięci współczesnych
procesorów).

%package devel
Summary:	Header files for libargon2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libargon2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libargon2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libargon2.

%package static
Summary:	Static libargon2 library
Summary(pl.UTF-8):	Statyczna biblioteka libargon2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libargon2 library.

%description static -l pl.UTF-8
Statyczna biblioteka libargon2.

%prep
%setup -q -n phc-winner-argon2-%{version}
%patch0 -p1

%build
CFLAGS="%{rpmcflags}" \
%{__make} \
	CC="%{__cc}" \
	ARGON2_VERSION=%{version} \
	PREFIX=%{_prefix} \
	LIBRARY_REL=%{_lib} \
	%{!?with_static_libs:LIBRARIES='$(LIB_SH)'}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkgconfigdir}

%{__make} install \
	INSTALL="install -p" \
	PREFIX=%{_prefix} \
	%{!?with_static_libs:LIBRARIES='$(LIB_SH)'} \
	LIBRARY_REL=%{_lib} \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md CHANGELOG.md LICENSE
%attr(755,root,root) %{_bindir}/argon2
%attr(755,root,root) %ghost %{_libdir}/libargon2.so.1
%attr(755,root,root) %{_libdir}/libargon2.so.1.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/argon2.h
%attr(755,root,root) %{_libdir}/libargon2.so
%{_pkgconfigdir}/libargon2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libargon2.a
%endif
%changelog
* Mon Jul 08 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libargon2.git;a=log;h=master

* Mon Jul 08 2019 Jan Palus <atler@pld-linux.org> 4a7a54c
- up to 20190702

* Mon Sep 10 2018 Jakub Bogusz <qboosh@pld-linux.org> 82047f7
- pl, handle static_libs bcond

* Mon May 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2467b93
- up to 20171227

* Wed Aug 23 2017 Elan Ruusamäe <glen@pld-linux.org> d05440e
- make symlink patch install re-entrant

* Wed Aug 23 2017 Elan Ruusamäe <glen@pld-linux.org> c0a8328
- install lib as soname

* Wed Aug 23 2017 Elan Ruusamäe <glen@pld-linux.org> 86c6bb9
- fix libdir install

* Wed Aug 23 2017 Elan Ruusamäe <glen@pld-linux.org> f301f6d
- make: do not run clean and make in same target

* Wed Aug 23 2017 Elan Ruusamäe <glen@pld-linux.org> 6c325e8
- move sed patching to .patch file

* Wed Aug 23 2017 Elan Ruusamäe <glen@pld-linux.org> 86712e8
- new, version 20161029

